Bug 187769 - audio/amp: Support CC/CFLAGS properly
Summary: audio/amp: Support CC/CFLAGS properly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-19 18:40 UTC by tkato432
Modified: 2014-04-29 06:20 UTC (History)
0 users

See Also:


Attachments
file.diff (879 bytes, patch)
2014-03-19 18:40 UTC, tkato432
no flags Details | Diff
audio_amp.diff (1013 bytes, patch)
2014-03-26 17:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-03-19 18:40:10 UTC
- Support CC/CFLAGS properly
Comment 1 Edwin Groothuis freebsd_committer 2014-03-19 18:40:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2014-03-26 17:58:35 UTC
Remake of the patch against current tree.
Comment 3 Martin Wilke freebsd_committer 2014-04-29 06:10:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-04-29 06:10:23 UTC
Author: miwi
Date: Tue Apr 29 05:10:19 2014
New Revision: 352572
URL: http://svnweb.freebsd.org/changeset/ports/352572
QAT: https://qat.redports.org/buildarchive/r352572/

Log:
  - Support CC/CFLAGS properly
  
  PR:		187769
  Submitted by:	Ports Fury

Modified:
  head/audio/amp/Makefile

Modified: head/audio/amp/Makefile
==============================================================================
--- head/audio/amp/Makefile	Tue Apr 29 05:09:40 2014	(r352571)
+++ head/audio/amp/Makefile	Tue Apr 29 05:10:19 2014	(r352572)
@@ -10,18 +10,20 @@ MASTER_SITES=	http://www-users.cs.umn.ed
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Another mp3 player
 
-GNU_CONFIGURE=	yes
 USES=		gmake
+GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	ac_cv_prog_gcc=no
 
-PLIST_FILES=	bin/amp \
-		man/man1/amp.1.gz
+PLIST_FILES=	bin/amp man/man1/amp.1.gz
 
-post-configure:
-	@${REINPLACE_CMD} -e 's|-O6 -ffast-math -fomit-frame-pointer|${CFLAGS}|' \
-		-e 's|gcc|${CC}|' ${WRKSRC}/Makefile
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/CC="gcc"/s|^|#| ; \
+		 /CFLAGS=$$/s|^|#| ; \
+		 s|-O6|$$CFLAGS|' ${WRKSRC}/configure
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/amp ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/amp.1 ${STAGEDIR}${PREFIX}/man/man1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} amp ${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} amp.1 ${STAGEDIR}${PREFIX}/man/man1)
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"